Bug 364 - CXXRTL Python Interface
Summary: CXXRTL Python Interface
Status: PAYMENTPENDING FIXED
Alias: None
Product: Libre-SOC's first SoC
Classification: Unclassified
Component: Source Code (show other bugs)
Version: unspecified
Hardware: PC Linux
: --- enhancement
Assignee: whitequark
URL:
Depends on:
Blocks: 362
  Show dependency treegraph
 
Reported: 2020-06-07 00:41 BST by Yehowshua
Modified: 2021-05-05 16:12 BST (History)
2 users (show)

See Also:
NLnet milestone: NLNet.2019.10.Wishbone
total budget (EUR) for completion of task and all subtasks: 4000
budget (EUR) for this task, excluding subtasks' budget: 4000
parent task for budget allocation: 362
child tasks for budget allocation:
The table of payments (in EUR) for this task; TOML format:
"whitequark"={amount=4000, paid=2020-07-29}


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yehowshua 2020-06-07 00:41:15 BST
Whitequark is currently working on this.
Comment 1 Luke Kenneth Casson Leighton 2020-06-07 00:59:39 BST
(In reply to Yehowshua from comment #0)
> Whitequark is currently working on this.

the last conversation we had was that Michiel was happy - provisionally - to add this to the list of tasks for the NLet 2019-10-043 Grant (which has gone through the "Approval" process).  Michiel asked us to get back with a proposal, and we did not hear back from you (whitequark) about that.  i therefore wrote something a couple of days ago, and added it to bug #175

please do note: *we haven't had this approved by NLNet yet*.  i sent Michiel a message a couple days ago and will be following up with him about it by phone some time early next week.
Comment 2 Yehowshua 2020-06-07 01:01:49 BST
Is there a proposal template?

Something like this?

https://libre-soc.org/nlnet_2018/
Comment 3 Yehowshua 2020-06-07 01:25:13 BST
> please do note: *we haven't had this approved by NLNet yet*.  i sent Michiel
> a message a couple days ago and will be following up with him about it by
> phone some time early next week.

I see the paragraph added to the end of bug #175.
I'm guessing that's all that's needed.

Nothing as elaborate as the early NLNet proposals.
Comment 4 Luke Kenneth Casson Leighton 2020-06-07 01:28:35 BST
(In reply to Yehowshua from comment #3)
> > please do note: *we haven't had this approved by NLNet yet*.  i sent Michiel
> > a message a couple days ago and will be following up with him about it by
> > phone some time early next week.
> 
> I see the paragraph added to the end of bug #175.
> I'm guessing that's all that's needed.

yes.  that's all that's needed.

> Nothing as elaborate as the early NLNet proposals.

correct.  it's a discretionary decision that NLNet can take because they've
already gone through the (3-4 month) Approval Process.
Comment 5 whitequark 2020-06-07 02:22:30 BST
(In reply to Luke Kenneth Casson Leighton from comment #1)
> Michiel asked us to get back with a proposal, and we did not hear back from you (whitequark) about that.

Was there a miscommunication? I'm not sure what you're referring to, here.
Comment 6 Luke Kenneth Casson Leighton 2020-06-07 02:54:22 BST
hi whitequark i found the messages (private discussions with bob and michiel from nlnet, april 4th and 11th) and forwarded them to you.

i will take responsibility for liasing with NLNet.  the short paragraph i wrote in #175 should be enough.
Comment 7 whitequark 2020-06-07 02:56:46 BST
Great, thank you.
Comment 8 Luke Kenneth Casson Leighton 2020-07-29 10:54:29 BST
completed, MoU approved, can submit an RFP.  whitequark i will forward
you a mostly-completed template for you to add bank details to.
Comment 9 Luke Kenneth Casson Leighton 2020-08-04 12:59:16 BST
RFP sent.
Comment 10 Luke Kenneth Casson Leighton 2020-08-24 16:07:57 BST
(In reply to Luke Kenneth Casson Leighton from comment #9)
> RFP sent.

phone call with Michiel: the message to rfp@nlnet.nl has *not* been received.
whitequark can you please re-send it and let me know when that's done.
michiel has agreed to ask Bob to expedite the payment of the donation to you.